# `taurus.tauruscustomsettings`

This module exposes global configuration options. It declares the default values of some of these options, but they may be modified when loading custom settings configuration files (e.g., at import time).

Classes

class FORCE_READ_OPTIONS

  (more info)

Functions

load_configs(filenames=None, section='taurus')

  Read configuration key, values from given ini files and expose them as members of the current module.

  The keys must appear in the given section (“taurus” by default) and are case-sensitive. The values are interpreted as python literals.

  In case of conflicting keys, the filenames determine the precedence (increasing order). If a given file cannot be read, it is skipped. The list of names of successfully read files is returned.

  Parameters:

    - filenames (sequence of str) – sequence of ini file names in increasing precedence order. If None passed (default), it uses (SYSTEM_CFG_FILE, USER_CFG_FILE)

    - section (str) – section of the ini files to be read (default:taurus)

  Returns:

    list of names of successfully read configuration files

  Return type:

    list<str>

Variables

DEFAULT_QT_API

DEFAULT_SCHEME

EXTRA_SCHEME_MODULES

FILTER_OLD_TANGO_EVENTS

IMAGE_ALT

IMPLICIT_OPTPARSE

LIGHTWEIGHT_IMPORTS

NAMESPACE

ORGANIZATION_LOGO

PLOT_ALT

PLY_OPTIMIZE

QT_AUTO_INIT_LOG

QT_AUTO_REMOVE_INPUTHOOK

QT_AVOID_ABORT_ON_EXCEPTION

QT_DESIGNER_PATH

QT_THEME_DIR

QT_THEME_FORCE_ON_LINUX

QT_THEME_NAME

SAVE_SETTINGS_ON_CLOSE

STRICT_MODEL_NAMES

SYSTEM_CFG_FILE

T_FORM_COMPACT

T_FORM_CUSTOM_WIDGET_MAP

T_FORM_ITEM_FACTORIES

TANGO_AUTOSUBSCRIBE_CONF

TANGO_EVENTS_TO_SUBSCRIBE

TANGO_FORCE_READ_IF_SUBSCRIPTION_FAILS

TANGO_SERIALIZATION_MODE

TREND2D_ALT

TREND_ALT

USER_CFG_FILE